@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;500;600;700;800&display=swap");
:root {
  --color-primary: #eb2f64;
  --color-primary-light: #FF3366;
  --color-primary-dark: #BA265D;
  --color-grey-light-1: #faf9f9;
  --color-grey-light-2: #f4f2f2;
  --color-grey-light-3: #f0eeee;
  --color-grey-light-4: #ccc;
  --color-dark-grey-1: #333;
  --color-dark-grey-2: #777;
  --color-dark-grey-3: #999;
  --color-white: #fff;
  --color-black: #000;
  --shadow-light: 0 2rem 6rem rgba(0, 0, 0, .06);
  --shadow-dark: 0 2rem 6rem rgba(0, 0, 0, 0.3);
  --line: 1px solid #f4f2f2; }

@keyframes pulsate {
  0% {
    transform: scale(1);
    box-shadow: none; }
  50% {
    transform: scale(1.05);
    box-shadow: 0 1rem 4rem rgba(0, 0, 0, 0.35); }
  100% {
    transform: scale(1);
    box-shadow: none; } }

* {
  margin: 0;
  padding: 0; }

*,
*:before,
*:after {
  box-sizing: inherit; }

html {
  box-sizing: border-box; }

body {
  background-image: linear-gradient(to right bottom, var(--color-primary-light), var(--color-primary-dark));
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 100vh; }

html {
  font-size: 62.5%; }
  @media only screen and (max-width: 71.875em) {
    html {
      font-size: 50%; } }

body {
  font-family: 'Open Sans', sans-serif;
  font-weight: 400;
  color: var(--color-grey-dark-1);
  line-height: 1.6; }

.mt-auto {
  margin: auto 0 0; }

.mb-small {
  margin-bottom: 1rem; }

/**********************************************/
.logo {
  height: 3.25rem;
  margin-left: 2rem; }

/**********************************************/
.search {
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 0 0 40%; }
  @media only screen and (max-width: 31.25em) {
    .search {
      order: 1;
      flex: 0 0 100%;
      height: 3.8rem;
      background-color: var(--color-grey-light-2); } }
  .search__input {
    font-family: inherit;
    font-size: inherit;
    color: inherit;
    background-color: var(--color-grey-light-2);
    border: none;
    padding: .7rem 2rem;
    border-radius: 100px;
    width: 90%;
    margin: -3.25rem;
    transition: all .2s; }
    .search__input:focus {
      outline: none;
      width: 100%;
      background-color: var(--color-grey-light-3); }
    .search__input::-webkit-input-placeholder {
      font-weight: 100;
      color: var(--color-grey-light-4); }
  .search__input:focus + .search__button {
    background-color: var(--color-grey-light-3); }
  .search__button {
    border: none;
    background-color: var(--color-grey-light-2); }
    .search__button:focus {
      outline: none; }
    .search__button:active {
      transform: translateY(2px); }
  .search__icon {
    height: 2rem;
    width: 2rem;
    fill: var(--color-grey-dark-3); }

/**********************************************/
.user-nav {
  align-self: stretch;
  display: flex;
  justify-content: center;
  align-items: center; }
  .user-nav > * {
    padding: 0 2rem;
    cursor: pointer;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center; }
  .user-nav > *:hover {
    background-color: var(--color-grey-light-2); }
  .user-nav__icon-box {
    position: relative; }
  .user-nav__icon {
    height: 2.25rem;
    width: 2.25rem;
    fill: var(--color-grey-dark-2); }
  .user-nav__notif {
    font-size: .8rem;
    height: 1.75rem;
    width: 1.75rem;
    border-radius: 50%;
    background-color: var(--color-primary);
    color: var(--color-white);
    position: absolute;
    top: 1.5rem;
    right: 1.1rem;
    display: flex;
    justify-content: center;
    align-items: center; }
  .user-nav__user-photo {
    height: 3.75rem;
    border-radius: 50%;
    margin-right: 1rem; }
  .user-nav__user-name {
    color: var(--color-dark-grey-1); }

.side-nav {
  list-style: none;
  font-size: 1.4rem;
  margin: 3.5rem 0 0; }
  @media only screen and (max-width: 56.25em) {
    .side-nav {
      display: flex;
      margin: 0; } }
  .side-nav__item {
    position: relative; }
    .side-nav__item:not(:last-child) {
      margin: 0 0 .5rem; }
      @media only screen and (max-width: 56.25em) {
        .side-nav__item:not(:last-child) {
          margin: 0; } }
    @media only screen and (max-width: 56.25em) {
      .side-nav__item {
        flex: 1; } }
  .side-nav__item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 3px;
    background-color: var(--color-primary);
    transform: scaleY(0);
    transition: transform 0.2s, width 0.4s cubic-bezier(1, 0, 0, 1) 0.2s, background-color 0.1s; }
  .side-nav__item:hover::before, .side-nav__item--active::before {
    transform: scaleY(1);
    width: 100%; }
  .side-nav__item:active::before {
    background-color: var(--color-primary-light); }
  .side-nav__link:link, .side-nav__link:visited {
    text-decoration: none;
    color: var(--color-grey-light-1);
    text-transform: uppercase;
    display: block;
    padding: 1.5rem 3rem;
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center; }
    @media only screen and (max-width: 56.25em) {
      .side-nav__link:link, .side-nav__link:visited {
        justify-content: center;
        padding: 2rem; } }
    @media only screen and (max-width: 37.5em) {
      .side-nav__link:link, .side-nav__link:visited {
        flex-direction: column;
        padding: 1.5rem 1.5rem; } }
  .side-nav__icon {
    width: 1.75rem;
    height: 1.75rem;
    margin: 0 2rem 0 0;
    fill: currentColor; }
    @media only screen and (max-width: 37.5em) {
      .side-nav__icon {
        width: 1.5rem;
        height: 1.5rem;
        margin: 0 0 .6rem; } }

.legal {
  font-size: 1.2rem;
  color: var(--color-grey-light-4);
  text-align: center;
  padding: 2.5rem; }
  @media only screen and (max-width: 56.25em) {
    .legal {
      display: none; } }

.gallery {
  display: flex; }
  .gallery__photo {
    width: 100%;
    display: block; }

.overview {
  display: flex;
  align-items: center;
  border-bottom: var(--line); }
  .overview__heading {
    font-size: 2.25;
    font-weight: 400;
    color: var(--color-dark-grey-1);
    text-transform: uppercase;
    letter-spacing: 2px;
    padding: 1.5rem 1rem 1.5rem 2rem; }
    @media only screen and (max-width: 37.5em) {
      .overview__heading {
        font-size: 1.8rem;
        padding: 1.25rem .7rem 1.25rem 1rem; } }
  .overview__stars {
    margin: 0 auto 0 0;
    display: flex;
    align-items: center; }
  .overview__icon-star, .overview__icon-location {
    width: 1.75rem;
    height: 1.75rem;
    fill: var(--color-primary); }
  .overview__location {
    font-size: 1.3rem;
    display: flex;
    align-items: center; }
  .overview__icon-location {
    margin: 0 .8rem 0 0; }
  .overview__rating {
    background-color: var(--color-primary);
    color: var(--color-white);
    margin: 0 0 0 3rem;
    padding: 0 2.25rem;
    align-self: stretch;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; }
    @media only screen and (max-width: 37.5em) {
      .overview__rating {
        padding: 0 1.5rem; } }
  .overview__rating--average {
    font-size: 2.25rem;
    font-weight: 400;
    margin: 0 0 -3px; }
    @media only screen and (max-width: 37.5em) {
      .overview__rating--average {
        font-size: 1.8rem; } }
  .overview__rating--count {
    font-size: .8rem;
    text-transform: uppercase; }
    @media only screen and (max-width: 37.5em) {
      .overview__rating--count {
        font-size: .8rem; } }

.btn-inline {
  border: none;
  color: var(--color-primary);
  font-size: inherit;
  border-bottom: 1px solid currentColor;
  padding: 0 0 2px;
  display: inline-block;
  background-color: transparent;
  cursor: pointer;
  transition: all .2s; }
  .btn-inline span {
    margin: 0 0 0 .3rem;
    transition: margin .2s; }
  .btn-inline:hover {
    color: var(--color-dark-grey-1); }
    .btn-inline:hover span {
      margin: 0 0 0 .8rem; }
  .btn-inline:focus {
    outline: none;
    animation: pulsate 1s infinite; }

.btn {
  color: var(--color-white);
  font-size: 1.5rem;
  font-weight: 300;
  text-transform: uppercase;
  border-radius: 100px;
  border: none;
  background-image: linear-gradient(to right, var(--color-primary-light), var(--color-primary-dark));
  position: relative;
  overflow: hidden;
  cursor: pointer; }
  .btn > * {
    display: inline-block;
    height: 100%;
    width: 100%;
    transition: all .2s; }
  .btn__visible {
    padding: 2rem 7.5rem; }
  .btn__invisible {
    padding: 2rem 0;
    position: absolute;
    left: 0;
    top: -100%; }
  .btn:hover {
    background-image: linear-gradient(to left, var(--color-primary-light), var(--color-primary-dark)); }
  .btn:hover .btn__visible {
    transform: translateY(100%); }
  .btn:hover .btn__invisible {
    top: 0; }
  .btn:focus {
    outline: none;
    animation: pulsate 1s infinite; }

.paragraph:not(:last-of-type) {
  margin: 0 0 2rem; }

.list {
  list-style: none;
  margin: 3rem 0 3rem;
  padding: 3rem 0;
  border-top: var(--line);
  border-bottom: var(--line);
  display: flex;
  flex-wrap: wrap; }
  .list__item {
    flex: 0 0 50%;
    margin: 0 0 .7rem; }
  .list__item:before {
    content: "";
    display: inline-block;
    height: 1rem;
    width: 1rem;
    margin: 0 .7rem 0 0;
    background-image: url(../img/chevron-thin-right.svg);
    background-size: cover; }
    @supports (-webkit-mask-image: url()) or (mask-image: url()) {
      .list__item:before {
        background-color: var(--color-primary);
        -webkit-mask-image: url(../img/chevron-thin-right.svg);
        -webkit-mask-size: cover;
        mask-image: url(../img/chevron-thin-right.svg);
        mask-size: cover;
        background-image: none; } }

.recommend {
  font-size: 1.3rem;
  color: var(--color-dark-grey-2);
  display: flex;
  justify-content: space-between;
  align-items: center; }
  .recommend__friends {
    display: flex; }
  .recommend__photo {
    box-sizing: content-box;
    height: 4rem;
    width: 4rem;
    border-radius: 50%;
    border: 3px solid var(--color-white); }
    .recommend__photo:not(:last-child) {
      margin: 0 -1.5rem 0 0; }

.review {
  background-color: var(--color-white);
  box-shadow: var(--shadow-light);
  width: 100%;
  padding: 3rem;
  margin: 0 0 3.5rem;
  position: relative;
  z-index: 1;
  overflow: hidden; }
  @media only screen and (max-width: 56.25em) {
    .review {
      padding: 2rem;
      margin: 0 0 3rem; } }
  .review__text {
    margin: 0 0 2rem;
    position: relative; }
  .review__user {
    display: flex;
    align-items: center; }
  .review__photo {
    height: 4.5rem;
    width: 4.5rem;
    border-radius: 50%;
    margin: 0 1.5rem 0 0; }
  .review__user-box {
    margin: 0 auto 0 0; }
  .review__user-name {
    font-size: 1.3rem;
    font-weight: 600;
    text-transform: uppercase;
    margin: 0 0 .4rem; }
  .review__user-date {
    font-size: 1rem;
    color: var(--color-grey-light-4); }
  .review__rating {
    font-size: 2.5rem;
    font-weight: 300;
    color: var(--color-primary); }
  .review::before {
    content: "\201C";
    position: absolute;
    top: -2.5rem;
    left: -1rem;
    font-size: 20rem;
    color: var(--color-grey-light-2);
    font-family: sans-serif;
    line-height: 1;
    z-index: -1; }

.cta {
  padding: 3.5rem 0;
  text-align: center; }
  .cta__book-now {
    color: var(--color-dark-grey-2);
    font-size: 2rem;
    font-weight: 400;
    text-transform: uppercase;
    margin: 0 0 2.5rem; }

.container {
  max-width: 120rem;
  margin: 8rem auto;
  background-color: var(--color-grey-light-2);
  box-shadow: var(--shadow-dark); }
  @media only screen and (max-width: 75em) {
    .container {
      margin: 0;
      max-width: 100%;
      width: 100%; } }

.header {
  font-size: 1.4rem;
  height: 7rem;
  background-color: var(--color-white);
  border-bottom: var(--line);
  display: flex;
  justify-content: space-between;
  align-items: center; }
  @media only screen and (max-width: 31.25em) {
    .header {
      flex-wrap: wrap;
      align-content: space-around;
      height: 11rem; } }

.content {
  display: flex; }
  @media only screen and (max-width: 56.25em) {
    .content {
      flex-direction: column; } }

.sidebar {
  background-color: var(--color-dark-grey-1);
  flex: 0 0 20%;
  display: flex;
  flex-direction: column;
  justify-content: space-between; }

.hotel-view {
  background-color: var(--color-white);
  flex: 1; }

.detail {
  display: flex;
  font-size: 1.4rem;
  padding: 4.5rem;
  background-color: var(--color-grey-light-1);
  border-bottom: var(--line); }
  @media only screen and (max-width: 56.25em) {
    .detail {
      padding: 3rem; } }
  @media only screen and (max-width: 37.5em) {
    .detail {
      flex-direction: column; } }

.description {
  background-color: var(--color-white);
  flex: 0 0 60%;
  margin: 0 4.5rem 0 0;
  padding: 3rem;
  box-shadow: var(--shadow-light); }
  @media only screen and (max-width: 56.25em) {
    .description {
      padding: 2rem;
      margin: 0 3rem 0 0; } }
  @media only screen and (max-width: 37.5em) {
    .description {
      margin: 0 0 3rem; } }

.user-reviews {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center; }
